LVCHANGE(8)

NAME
lvchange - change attributes of a logical volume

SYNOPSIS
lvchange [--addtag Tag] [-A|--autobackup y|n] [-a|--available y|n|ey|en|ly|ln] [--alloc AllocationPolicy] [-C|--contiguous y|n] [-d|--debug] [--deltag Tag] [--resync] [-h|-?|--help] [--ignorelockingfailure] [--ignoremonitoring] [--monitor {y|n}] [--poll {y|n}] [--sysinit] [--noudevsync] [-M|--persistent y|n] [--minor minor] [-P|--partial] [-p|--permission r|rw] [-r/--readahead ReadAheadSectors|auto|none] [--refresh] [-t|--test] [-v|--verbose] LogicalVolumePath [LogicalVolumePath...]

DESCRIPTION
lvchange allows you to change the attributes of a logical volume including making them known to the kernel ready for use.

OPTIONS
See lvm for common options.

-a, --available y|n|ey|en|ly|ln
    Controls the availability of the logical volumes for use. Communicates with the kernel device-mapper driver via libdevmapper to activate (-ay) or deactivate (-an) the logical volumes.

    If clustered locking is enabled, -aey will activate exclusively on one node and -aly will activate only on the local node. To deactivate only on the local node use -aln. Logical volumes with single-host snapshots are always activated exclusively because they can only be used on one node at once.

-C, --contiguous y|n
    Tries to set or reset the contiguous allocation policy for logical volumes. It's only possible to change a non-contiguous logical volume's allocation policy to contiguous, if all of the allocated physical extents are already contiguous.

--resync
    Forces the complete resynchronization of a mirror. In normal circumstances you should not need this option because synchronization happens automatically. Data is read from the primary mirror device and copied to the others, so this can take a considerable amount of time - and during this time you are without a complete redundant copy of your data.

--minor minor
    Set the minor number.

--monitor y|n
    Start or stop monitoring a mirrored or snapshot logical volume with dmeventd, if it is installed. If a device used by a monitored mirror reports an I/O error, the failure is handled according to mirror_image_fault_policy and mirror_log_fault_policy set in lvm.conf.

--poll y|n
    Without polling a logical volume's backgrounded transformation process will never complete. If there is an incomplete pvmove or lvconvert (for example, on rebooting after a crash), use --poll y to restart the process from its last checkpoint. However, it may not be appropriate to immediately poll a logical volume when it is activated, use --poll n to defer and then --poll y to restart the process.

--sysinit
    Indicates that lvchange(8) is being invoked from early system initialisation scripts (e.g. rc.sysinit or an initrd), before writeable filesystems are available. As such, some functionality needs to be disabled and this option acts as a shortcut which selects an appropriate set of options. Currently this is equivalent to using --ignorelockingfailure, --ignoremonitoring, --poll n and setting LVM_SUPPRESS_LOCKING_FAILURE_MESSAGES environment variable.

--noudevsync
    Disable udev synchronisation. The process will not wait for notification from udev. It will continue irrespective of any possible udev processing in the background. You should only use this if udev is not running or has rules that ignore the devices LVM2 creates.

--ignoremonitoring
    Make no attempt to interact with dmeventd unless --monitor is specified. Do not use this if dmeventd is already monitoring a device.

-M, --persistent y|n
    Set to y to make the minor number specified persistent.

-p, --permission r|rw
    Change access permission to read-only or read/write.

-r, --readahead ReadAheadSectors|auto|none
    Set read ahead sector count of this logical volume. For volume groups with metadata in lvm1 format, this must be a value between 2 and 120 sectors. The default value is "auto" which allows the kernel to choose a suitable value automatically. "None" is equivalent to specifying zero.

--refresh
    If the logical volume is active, reload its metadata. This is not necessary in normal operation, but may be useful if something has gone wrong or if you're doing clustering manually without a clustered lock manager.

Examples
"lvchange -pr vg00/lvol1" changes the permission on volume lvol1 in volume group vg00 to be read-only.

SEE ALSO
lvm(8), lvcreate(8), vgchange(8)